import request from '@/utils/request'

export function listProject(query) {
  return request({ url: '/hzz/riverproject/list', method: 'get', params: query })
}
export function getAllProject(searchName) {
  return request({ url: '/hzz/riverproject/all', method: 'get', params: { searchName } })
}
export function getProject(guid) {
  return request({ url: '/hzz/riverproject/detail/' + guid, method: 'get' })
}
export function getProjectFiles(guid) {
  return request({ url: '/hzz/riverproject/files/' + guid, method: 'get' })
}
export function addProject(data) {
  return request({ url: '/hzz/riverproject', method: 'post', data })
}
export function updateProject(data) {
  return request({ url: '/hzz/riverproject', method: 'put', data })
}
export function delProject(guid) {
  return request({ url: '/hzz/riverproject/' + guid, method: 'delete' })
}
